aboutsummaryrefslogtreecommitdiff
path: root/system
diff options
context:
space:
mode:
authorGravatar Eric Le Bihan <eric.le.bihan.dev@free.fr>2014-03-24 14:09:28 +0100
committerGravatar Peter Korsgaard <peter@korsgaard.com>2014-03-24 15:26:38 +0100
commit249464674485ed1fa18a2d0dd5500c84198490b9 (patch)
treea491a7cef9d9c5571e3d891dd88352de1bd03423 /system
parent9bedea7fc9539d5a47dad229cd1bd0b627fa43a2 (diff)
downloadbuildroot-249464674485ed1fa18a2d0dd5500c84198490b9.tar.gz
buildroot-249464674485ed1fa18a2d0dd5500c84198490b9.tar.bz2
systemd: needs kernel headers >= 3.0
Systemd requires at least Linux headers 3.0 because it uses: - setns(2) syscall, introduced in 3.0. - IFLA_GROUP from if_link.h, introduced in 2.6.39. Fixes http://autobuild.buildroot.net/results/098/09866da023d527b3c228a98f1fde104e780e1883/ Signed-off-by: Eric Le Bihan <eric.le.bihan.dev@free.fr> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'system')
-rw-r--r--system/Config.in6
1 files changed, 4 insertions, 2 deletions
diff --git a/system/Config.in b/system/Config.in
index 89578c5828..e8f1ed6a2d 100644
--- a/system/Config.in
+++ b/system/Config.in
@@ -96,10 +96,12 @@ config BR2_INIT_SYSTEMD
depends on BR2_TOOLCHAIN_HAS_SSP
depends on BR2_USE_MMU
depends on !BR2_PREFER_STATIC_LIB
+ depends on BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_0
select BR2_PACKAGE_SYSTEMD
-comment 'systemd needs an (e)glibc toolchain'
- depends on !BR2_TOOLCHAIN_USES_GLIBC
+comment 'systemd needs an (e)glibc toolchain, headers >= 3.0'
+ depends on !(BR2_TOOLCHAIN_USES_GLIBC \
+ && BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_0)
config BR2_INIT_NONE
bool "None"